### Hierarchy

- Disposable
  - UIRouterPlugin
    - LocationPlugin
    - ServicesPlugin

### Implemented by

- UIRouterPluginBase

## Index

### Properties

- name

### Methods

- dispose

## Properties

name: string

- Defined in interface.ts:111

## Methods

- dispose(router?: UIRouter): any

- Instructs the Disposable to clean up any resources

- Instructs the Disposable to clean up any resources

  #### Parameters

  - ##### router: Optional UIRouter

  #### Returns any

  Inherited from Disposable.dispose

  - Defined in interface.ts:123

Generated using TypeDoc